List Simulations

Returns the simulations for the authenticated organization.

Authentication

AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.

Query parameters

idAnylist of stringsOptional
Return only simulations matching the provided ids
standaloneOnlybooleanOptional
Only include simulations that are not part of a suite
pagedoubleOptional>=1
This is the page number to return. Defaults to 1.
sortOrderenumOptional
This is the sort order for pagination. Defaults to 'DESC'.
Allowed values:
sortByenumOptional
This is the column to sort by. Defaults to 'createdAt'.
Allowed values:
limitdoubleOptional0-1000
This is the maximum number of items to return. Defaults to 100.
createdAtGtdatetimeOptional
This will return items where the createdAt is greater than the specified value.
createdAtLtdatetimeOptional
This will return items where the createdAt is less than the specified value.
createdAtGedatetimeOptional
This will return items where the createdAt is greater than or equal to the specified value.
createdAtLedatetimeOptional
This will return items where the createdAt is less than or equal to the specified value.
updatedAtGtdatetimeOptional
This will return items where the updatedAt is greater than the specified value.
updatedAtLtdatetimeOptional
This will return items where the updatedAt is less than the specified value.
updatedAtGedatetimeOptional
This will return items where the updatedAt is greater than or equal to the specified value.
updatedAtLedatetimeOptional
This will return items where the updatedAt is less than or equal to the specified value.

Response

idstringformat: "uuid"
This is the unique identifier for the simulation.
orgIdstringformat: "uuid"
This is the unique identifier for the organization this simulation belongs to.
createdAtdatetime

This is the ISO 8601 date-time string of when the simulation was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the simulation was last updated.

scenarioIdstringformat: "uuid"
This is the ID of the scenario to use for this simulation.
personalityIdstringformat: "uuid"
This is the ID of the personality to use for this simulation.
namestringOptional<=80 characters
This is an optional friendly name for the simulation.
pathstring or nullOptionalformat: "/^[a-zA-Z0-9][a-zA-Z0-9._-]*(?:\/[a-zA-Z0-9][a-zA-Z0-9._-]*){0,2}$/"<=255 characters

Optional folder path for organizing simulations. Supports up to 3 levels (e.g., “dept/feature/variant”). Maps to GitOps resource folder structure.